﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using WURFL;


namespace Nucleo.Wurfl.Storage
{
	public class HttpContextWurflStore : IWurflStore
	{
		private const string Key = "__WURFLManager";



		public IWURFLManager GetManager()
		{
			return HttpContext.Current.Cache[Key] as IWURFLManager;
		}

		public void SaveManager(IWURFLManager manager)
		{
			HttpContext.Current.Cache[Key] = manager;
		}
	}
}
