﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.UI;
using System.Web.UI.WebControls;


namespace Nucleo.Web.Controls
{
	public class MobilePanel : Panel
	{
		protected override void Render(System.Web.UI.HtmlTextWriter writer)
		{
			if (this.Page.IsMobileDeviceRequest())
			{
				base.Render(writer);
			}
			else
			{
				writer.Write("");
			}
			
		}
	}
}
