﻿using System;
using System.Collections.Generic;
using System.Linq;
using WURFL;


namespace Nucleo.Wurfl.Creator
{
	public abstract class BaseWurflCreator : IWurflCreator
	{
		public const String WurflDataFilePath = "~/App_Data/wurfl-latest.zip";
		public const String WurflPatchFilePath = "~/App_Data/web_browsers_patch.xml";



		protected virtual string DataFile
		{
			get { return WurflDataFilePath; }
		}

		protected virtual string PatchFile
		{
			get { return WurflPatchFilePath; }
		}



		public abstract IWURFLManager CreateManager();
	}
}
